[Solved] Upgrading Plone 5.1.5 to 5.2.0 failed

System: debian 9 with python 2.7

I am trying to upgrade my plone 5.1.5 in production to the newest 5.2.0. But no luck.
I modified only two lines of buildout.cfg(point to 5.2.0) and run buildout. This is the output:

    sudo -u plone_buildout bin/buildout
    Getting distribution for 'plone.recipe.zeoserver==2.0.1'.
    Got plone.recipe.zeoserver 2.0.1.
    Getting distribution for 'zc.recipe.egg==2.0.7'.
    Got zc.recipe.egg 2.0.7.
    Getting distribution for 'ZODB==5.5.1'.
    Got ZODB 5.5.1.
    Getting distribution for 'ZEO==5.2.1'.
    warning: no previously-included files matching '*.pyc' found anywhere in distribution
    Got ZEO 5.2.1.
    Getting distribution for 'zdaemon==4.3'.
    warning: no previously-included files matching '*.pyc' found anywhere in distribution
    Got zdaemon 4.3.
    Getting distribution for 'zope.interface==4.6.0'.
    Got zope.interface 4.6.0.
    Getting distribution for 'zodbpickle==1.0.4'.
    Got zodbpickle 1.0.4.
    Getting distribution for 'zc.lockfile==1.4'.
    warning: no previously-included files matching '*.pyc' found anywhere in distribution
    Got zc.lockfile 1.4.
    Getting distribution for 'transaction==2.4.0'.
    Got transaction 2.4.0.
    Getting distribution for 'six==1.12.0'.
    Got six 1.12.0.
    Getting distribution for 'persistent==4.5.0'.
    warning: no previously-included files found matching 'setup.pyc'
    warning: no previously-included files matching 'yacctab.*' found under directory 'tests'
    warning: no previously-included files matching 'lextab.*' found under directory 'tests'
    warning: no previously-included files matching 'yacctab.*' found under directory 'examples'
    warning: no previously-included files matching 'lextab.*' found under directory 'examples'
    zip_safe flag not set; analyzing archive contents...
    pycparser.ply.lex: module references __file__
    pycparser.ply.lex: module MAY be using inspect.getsourcefile
    pycparser.ply.yacc: module references __file__
    pycparser.ply.yacc: module MAY be using inspect.getsourcefile
    pycparser.ply.yacc: module MAY be using inspect.stack
    pycparser.ply.ygen: module references __file__

    Installed /tmp/easy_install-MajSCC/persistent-4.5.0/.eggs/pycparser-2.19-py2.7.egg
    no previously-included directories found matching 'terryfy'
    warning: no previously-included files matching '*.dll' found anywhere in distribution
    warning: no previously-included files matching '*.pyc' found anywhere in distribution
    warning: no previously-included files matching '*.pyo' found anywhere in distribution
    warning: no previously-included files matching '*.so' found anywhere in distribution
    warning: no previously-included files matching 'coverage.xml' found anywhere in distribution
    no previously-included directories found matching 'docs/_build'
    no previously-included directories found matching 'persistent/__pycache__'
    Got persistent 4.5.0.
    Getting distribution for 'ZConfig==3.5.0'.
    Got ZConfig 3.5.0.
    Getting distribution for 'BTrees==4.5.1'.
    Got BTrees 4.5.1.
    Getting distribution for 'trollius==2.2'.
    Got trollius 2.2.
    Getting distribution for 'futures==3.2.0'.
    Got futures 3.2.0.
    Getting distribution for 'cffi==1.12.3'.
    Got cffi 1.12.3.
    Getting distribution for 'pycparser==2.19'.
    warning: no previously-included files found matching 'setup.pyc'
    warning: no previously-included files matching 'yacctab.*' found under directory 'tests'
    warning: no previously-included files matching 'lextab.*' found under directory 'tests'
    warning: no previously-included files matching 'yacctab.*' found under directory 'examples'
    warning: no previously-included files matching 'lextab.*' found under directory 'examples'
    zip_safe flag not set; analyzing archive contents...
    pycparser.ply.lex: module references __file__
    pycparser.ply.lex: module MAY be using inspect.getsourcefile
    pycparser.ply.yacc: module references __file__
    pycparser.ply.yacc: module MAY be using inspect.getsourcefile
    pycparser.ply.yacc: module MAY be using inspect.stack
    pycparser.ply.ygen: module references __file__
    Got pycparser 2.19.
    Getting distribution for 'plone.recipe.zope2instance==6.3.0'.
    Got plone.recipe.zope2instance 6.3.0.
    Getting distribution for 'waitress==1.3.0'.
    Got waitress 1.3.0.
    Getting distribution for 'Zope==4.1.1'.
    Got Zope 4.1.1.
    Getting distribution for 'Paste==3.0.8'.
    Got Paste 3.0.8.
    Getting distribution for 'zope.viewlet==4.2.1'.
    Got zope.viewlet 4.2.1.
    Getting distribution for 'zope.traversing==4.3.1'.
    Got zope.traversing 4.3.1.
    Getting distribution for 'zope.testing==4.7'.
    Got zope.testing 4.7.
    Getting distribution for 'zope.testbrowser==5.3.3'.
    warning: no previously-included files found matching 'MANITEST.in'
    Got zope.testbrowser 5.3.3.
    Getting distribution for 'zope.tales==5.0.1'.
    Got zope.tales 5.0.1.
    Getting distribution for 'zope.tal==4.4'.
    Got zope.tal 4.4.
    Getting distribution for 'zope.size==4.3'.
    Got zope.size 4.3.
    Getting distribution for 'zope.site==4.2.2'.
    Got zope.site 4.2.2.
    Getting distribution for 'zope.sequencesort==4.1.2'.
    Got zope.sequencesort 4.1.2.
    Getting distribution for 'zope.security==4.3.1'.
    /tmp/easy_install-QFBToo/zope.security-4.3.1/setup.py:102: DistDeprecationWarning: Features are deprecated and will be removed in a future version. See https://github.com/pypa/setuptools/issues/65.
      "_zope_security_checker.c")]
    /tmp/easy_install-QFBToo/zope.security-4.3.1/temp/easy_install-D6EbFx/zope.proxy-4.3.2/setup.py:74: DistDeprecationWarning: Features are deprecated and will be removed in a future version. See https://github.com/pypa/setuptools/issues/65.
      [os.path.join('src', 'zope', 'proxy', "_zope_proxy_proxy.c")],
    /usr/lib/python2.7/distutils/core.py:111: DistDeprecationWarning: Features are deprecated and will be removed in a future version. See https://github.com/pypa/setuptools/issues/65.
      _setup_distribution = dist = klass(attrs)
    warning: no previously-included files matching '*.dll' found anywhere in distribution
    warning: no previously-included files matching '*.pyc' found anywhere in distribution
    warning: no previously-included files matching '*.pyo' found anywhere in distribution
    warning: no previously-included files matching '*.so' found anywhere in distribution

    Installed /tmp/easy_install-QFBToo/zope.security-4.3.1/.eggs/zope.proxy-4.3.2-py2.7-linux-x86_64.egg
    Searching for zope.interface
    Reading https://pypi.org/simple/zope.interface/
    Downloading https://files.pythonhosted.org/packages/a2/a2/e68c37eb2ef9bf942e0ace19f4cf6fe3e7c650932fb587bfde3c608f7d77/zope.interface-4.6.0-cp27-cp27mu-manylinux1_x86_64.whl#sha256=bad44274b151d46619a7567010f7cde23a908c6faa84b97598fd2f474a0c6891
    Best match: zope.interface 4.6.0
    Processing zope.interface-4.6.0-cp27-cp27mu-manylinux1_x86_64.whl
    Installing zope.interface-4.6.0-cp27-cp27mu-manylinux1_x86_64.whl to /tmp/easy_install-QFBToo/zope.security-4.3.1/.eggs
    writing requirements to /tmp/easy_install-QFBToo/zope.security-4.3.1/.eggs/zope.interface-4.6.0-py2.7-linux-x86_64.egg/EGG-INFO/requires.txt

    Installed /tmp/easy_install-QFBToo/zope.security-4.3.1/.eggs/zope.interface-4.6.0-py2.7-linux-x86_64.egg
    /usr/lib/python2.7/distutils/core.py:111: DistDeprecationWarning: Features are deprecated and will be removed in a future version. See https://github.com/pypa/setuptools/issues/65.
      _setup_distribution = dist = klass(attrs)
    warning: no previously-included files matching '*.dll' found anywhere in distribution
    warning: no previously-included files matching '*.pyc' found anywhere in distribution
    warning: no previously-included files matching '*.pyo' found anywhere in distribution
    warning: no previously-included files matching '*.so' found anywhere in distribution
    no previously-included directories found matching 'docs/_build'
    Got zope.security 4.3.1.
    Getting distribution for 'zope.schema==4.9.3'.
    Got zope.schema 4.9.3.
    Getting distribution for 'zope.publisher==5.0.1'.
    Got zope.publisher 5.0.1.
    Getting distribution for 'zope.ptresource==4.2.0'.
    Got zope.ptresource 4.2.0.
    Getting distribution for 'zope.proxy==4.3.1'.
    /tmp/easy_install-yIgprV/zope.proxy-4.3.1/setup.py:74: DistDeprecationWarning: Features are deprecated and will be removed in a future version. See https://github.com/pypa/setuptools/issues/65.
      [os.path.join('src', 'zope', 'proxy', "_zope_proxy_proxy.c")],
    /usr/lib/python2.7/distutils/core.py:111: DistDeprecationWarning: Features are deprecated and will be removed in a future version. See https://github.com/pypa/setuptools/issues/65.
      _setup_distribution = dist = klass(attrs)
    warning: no previously-included files matching '*.dll' found anywhere in distribution
    warning: no previously-included files matching '*.pyc' found anywhere in distribution
    warning: no previously-included files matching '*.pyo' found anywhere in distribution
    warning: no previously-included files matching '*.so' found anywhere in distribution
    src/zope/proxy/_zope_proxy_proxy.c: In function ‘wrap_setattro’:
    src/zope/proxy/_zope_proxy_proxy.c:315:16: warning: return makes integer from pointer without a cast [-Wint-conversion]
             return NULL;
                    ^~~~
    Got zope.proxy 4.3.1.
    Getting distribution for 'zope.processlifetime==2.3.0'.
    Got zope.processlifetime 2.3.0.
    Getting distribution for 'zope.pagetemplate==4.4.1'.
    Got zope.pagetemplate 4.4.1.
    Getting distribution for 'zope.location==4.2'.
    Got zope.location 4.2.
    Getting distribution for 'zope.lifecycleevent==4.3.0'.
    Got zope.lifecycleevent 4.3.
    Getting distribution for 'zope.i18nmessageid==4.3.1'.
    /tmp/easy_install-0ouydY/zope.i18nmessageid-4.3.1/setup.py:43: DistDeprecationWarning: Features are deprecated and will be removed in a future version. See https://github.com/pypa/setuptools/issues/65.
      [os.path.normcase(codeoptimization_c)]
    /usr/lib/python2.7/distutils/core.py:111: DistDeprecationWarning: Features are deprecated and will be removed in a future version. See https://github.com/pypa/setuptools/issues/65.
      _setup_distribution = dist = klass(attrs)
    warning: no files found matching '*.zcml' under directory 'src'
    warning: no previously-included files matching '*.dll' found anywhere in distribution
    warning: no previously-included files matching '*.pyc' found anywhere in distribution
    warning: no previously-included files matching '*.pyo' found anywhere in distribution
    warning: no previously-included files matching '*.so' found anywhere in distribution
    Got zope.i18nmessageid 4.3.1.
    Getting distribution for 'zope.i18n[zcml]==4.6.2'.
    Got zope.i18n 4.6.2.
    Getting distribution for 'zope.globalrequest==1.5'.
    warning: no files found matching '*.txt'
    warning: no previously-included files matching '*.pyc' found anywhere in distribution
    warning: no previously-included files matching '*.pyo' found anywhere in distribution
    Got zope.globalrequest 1.5.
    Getting distribution for 'zope.exceptions==4.3'.
    Got zope.exceptions 4.3.
    (........many Getting and Got)
    Getting distribution for 'Persistence==3.0'.
    warning: no files found matching 'appveyor.yml'
    warning: no previously-included files found matching 'appveyor.yml'
    warning: no previously-included files matching '*.dll' found anywhere in distribution
    warning: no previously-included files matching '*.pyc' found anywhere in distribution
    warning: no previously-included files matching '*.pyo' found anywhere in distribution
    warning: no previously-included files matching '*.so' found anywhere in distribution
    Got Persistence 3.0.
    Getting distribution for 'PasteDeploy==2.0.1'.
    Got PasteDeploy 2.0.1.
    Getting distribution for 'MultiMapping==4.1'.
    Got MultiMapping 4.1.
    Getting distribution for 'ExtensionClass==4.4'.
    warning: no files found matching 'bootstrap.py'
    warning: no previously-included files found matching 'bootstrap.py'
    warning: no files found matching '*.yml'
    warning: no previously-included files found matching '*.yml'
    warning: no previously-included files found matching 'src/coverage.xml'
    warning: no previously-included files matching '*.dll' found anywhere in distribution
    warning: no previously-included files matching '*.pyc' found anywhere in distribution
    warning: no previously-included files matching '*.pyo' found anywhere in distribution
    warning: no previously-included files matching '*.so' found anywhere in distribution
    Got ExtensionClass 4.4.
    Getting distribution for 'DocumentTemplate==3.1b2'.
    Got DocumentTemplate 3.1b2.
    Getting distribution for 'DateTime==4.3'.
    Got DateTime 4.3.
    Getting distribution for 'Acquisition==4.6'.
    warning: no files found matching 'bootstrap.py'
    warning: no previously-included files found matching 'bootstrap.py'
    warning: no files found matching '*.yml'
    warning: no previously-included files found matching '*.yml'
    warning: no previously-included files matching '*.dll' found anywhere in distribution
    warning: no previously-included files matching '*.pyc' found anywhere in distribution
    warning: no previously-included files matching '*.pyo' found anywhere in distribution
    warning: no previously-included files matching '*.so' found anywhere in distribution
    Got Acquisition 4.6.
    Getting distribution for 'AccessControl==4.0'.
    Got AccessControl 4.0.
    Getting distribution for 'WSGIProxy2==0.4.6'.
    no previously-included directories found matching 'docs/_build'
    warning: no previously-included files matching '*.pyc' found anywhere in distribution
    warning: no previously-included files matching '__pycache__' found anywhere in distribution
    Got WSGIProxy2 0.4.6.
    (........many Getting and Got)
    Getting distribution for 'python-gettext==4.0'.
    warning: no files found matching '*.txt'
    warning: no previously-included files matching '*.pyc' found anywhere in distribution
    warning: no previously-included files matching '*.pyo' found anywhere in distribution
    warning: no previously-included files matching '.DS_Store' found anywhere in distribution
    Got python-gettext 4.0.
    Getting distribution for 'zope.filerepresentation==4.2.0'.
    Got zope.filerepresentation 4.2.0.
    Getting distribution for 'zope.dottedname==4.3'.
    Got zope.dottedname 4.3.
    Getting distribution for 'zope.hookable==4.2.0'.
    /tmp/easy_install-NvukJr/zope.hookable-4.2.0/setup.py:70: DistDeprecationWarning: Features are deprecated and will be removed in a future version. See https://github.com/pypa/setuptools/issues/65.
      [os.path.join('src', 'zope', 'hookable', "_zope_hookable.c")],
    /usr/lib/python2.7/distutils/core.py:111: DistDeprecationWarning: Features are deprecated and will be removed in a future version. See https://github.com/pypa/setuptools/issues/65.
      _setup_distribution = dist = klass(attrs)
    warning: no previously-included files matching '*.pyc' found anywhere in distribution
    Got zope.hookable 4.2.0.
    (........many Getting and Got)
    Getting distribution for 'plone.recipe.precompiler==0.7.1'.
    warning: no previously-included files matching '*.pyc' found anywhere in distribution
    Got plone.recipe.precompiler 0.7.1.
    Uninstalling setpermissions.
    Uninstalling precompiler.
    Uninstalling unifiedinstaller.
    Uninstalling zopepy.
    Uninstalling backup.
    Uninstalling client2.
    Uninstalling client1.
    Uninstalling zeoserver.
    Installing zeoserver.
    Created directory /opt/plone515/zeocluster/parts/zeoserver
    Created directory /opt/plone515/zeocluster/parts/zeoserver/etc
    Created directory /opt/plone515/zeocluster/parts/zeoserver/var
    Created directory /opt/plone515/zeocluster/parts/zeoserver/log
    Created directory /opt/plone515/zeocluster/parts/zeoserver/bin
    Wrote file /opt/plone515/zeocluster/parts/zeoserver/etc/zeo.conf
    Wrote file /opt/plone515/zeocluster/parts/zeoserver/bin/zeoctl
    Changed mode for /opt/plone515/zeocluster/parts/zeoserver/bin/zeoctl to 755
    Wrote file /opt/plone515/zeocluster/parts/zeoserver/bin/runzeo
    Changed mode for /opt/plone515/zeocluster/parts/zeoserver/bin/runzeo to 755
    Generated script '/opt/plone515/zeocluster/bin/zeoserver'.
    Generated script '/opt/plone515/zeocluster/bin/zeopack'.
    Generated script '/opt/plone515/zeocluster/bin/repozo'.
    Installing client1.
    Getting distribution for 'Plone==5.2.0'.
    Got Plone 5.2.0.
    Getting distribution for 'plone.restapi==4.3.1'.
    Got plone.restapi 4.3.1.
    (........many Getting and Got)
    Getting distribution for 'PyJWT==1.7.1'.
    Got PyJWT 1.7.1.
    Getting distribution for 'plone.rest==1.4.0'.
    warning: no directories found matching 'docs'
    warning: no previously-included files found matching '*.yml'
    warning: no previously-included files found matching 'bootstrap-buildout.py'
    warning: no previously-included files found matching 'Makefile'
    warning: no previously-included files found matching 'requirements.txt'
    warning: no previously-included files matching '*.pyc' found anywhere in distribution
    Got plone.rest 1.4.0.
    (........many Getting and Got)
    Getting distribution for 'Zope2==4.0'.
    warning: install_lib: 'build/lib.linux-x86_64-2.7' does not exist -- no Python modules to install

    Got Zope2 4.0.
    Getting distribution for 'Products.ZCatalog==5.0.1'.
    Got Products.ZCatalog 5.0.1.
    (........many Getting and Got)
    Getting distribution for 'plone.cachepurging==2.0.1'.
    warning: no previously-included files matching '*pyc' found anywhere in distribution
    Got plone.cachepurging 2.0.1.
    (........many Getting and Got)
    Getting distribution for 'plone.staticresources==1.1.0'.
    warning: no previously-included files matching '*.pyc' found anywhere in distribution
    warning: no previously-included files matching '*' found under directory 'news'
    warning: no previously-included files found matching 'news'
    Got plone.staticresources 1.1.0.
    (........many Getting and Got)
    Getting distribution for 'five.customerize==2.0.0'.
    warning: no previously-included files matching '*.pyc' found anywhere in distribution
    warning: no previously-included files matching '*.pyo' found anywhere in distribution
    Got five.customerize 2.0.0.
    (........many Getting and Got)
    Getting distribution for 'simplejson==3.16.0'.
    zip_safe flag not set; analyzing archive contents...
    simplejson.tests.__init__: module references __file__
    Got simplejson 3.16.0.
    (........many Getting and Got)
    Getting distribution for 'future==0.17.1'.
    warning: no files found matching '*.au' under directory 'tests'
    warning: no files found matching '*.gif' under directory 'tests'
    warning: no files found matching '*.txt' under directory 'tests'
    zip_safe flag not set; analyzing archive contents...
    future.backports.test.ssl_servers: module references __file__
    future.backports.test.support: module references __file__
    future.standard_library.__init__: module references __file__
    future.standard_library.__init__: module references __path__
    future.utils.__init__: module MAY be using inspect.stack
    past.builtins.misc: module MAY be using inspect.stack
    past.translation.__init__: module references __file__
    past.translation.__init__: module references __path__
    Got future 0.17.1.
    (........many Getting and Got)
    Getting distribution for 'zope.keyreference==4.2.0'.
    Got zope.keyreference 4.2.0.
    Generated script '/opt/plone515/zeocluster/bin/client1'.
    Generated interpreter '/opt/plone515/zeocluster/parts/client1/bin/interpreter'.
    Installing client2.
    Generated script '/opt/plone515/zeocluster/bin/client2'.
    Generated interpreter '/opt/plone515/zeocluster/parts/client2/bin/interpreter'.
    Installing backup.
    Generated script '/opt/plone515/zeocluster/bin/backup'.
    Generated script '/opt/plone515/zeocluster/bin/snapshotbackup'.
    Generated script '/opt/plone515/zeocluster/bin/restore'.
    Generated script '/opt/plone515/zeocluster/bin/snapshotrestore'.
    Installing zopepy.
    Generated interpreter '/opt/plone515/zeocluster/bin/zopepy'.
    Installing unifiedinstaller.
    Generated script '/opt/plone515/zeocluster/bin/plonectl'.
    Installing precompiler.
    Compiling Python files.
      File "/opt/plone515/buildout-cache/eggs/zodbpickle-1.0.4-py2.7-linux-x86_64.egg/zodbpickle/pickle_3.py", line 178
        def __init__(self, file, protocol=None, *, fix_imports=True):
                                                 ^
    SyntaxError: invalid syntax

      File "/opt/plone515/buildout-cache/eggs/zodbpickle-1.0.4-py2.7-linux-x86_64.egg/zodbpickle/pickletools_3.py", line 2049
        print("%5d:" % pos, end=' ', file=out)
                               ^
    SyntaxError: invalid syntax

      File "/opt/plone515/buildout-cache/eggs/zodbpickle-1.0.4-py2.7-linux-x86_64.egg/zodbpickle/tests/pickletester_3.py", line 142
        class use_metaclass(object, metaclass=metaclass):
                                             ^
    SyntaxError: invalid syntax

    Compiling locale files.
    Installing setpermissions.
    setpermissions: Running '# Dummy references to force this to execute after referenced parts
    echo /opt/plone515/zeocluster/var/backups yes > /dev/null
    chmod 600 .installed.cfg
    # Make sure anything we've created in var is r/w by our group
    find /opt/plone515/zeocluster/var -type d -exec chmod 770 {} \; 2> /dev/null
    find /opt/plone515/zeocluster/var -type f -exec chmod 660 {} \; 2> /dev/null
    find /opt/plone515/zeocluster/var -type d -exec chmod 770 {} \; 2> /dev/null
    find /opt/plone515/zeocluster/var -type f -exec chmod 660 {} \; 2> /dev/null
    chmod 754 /opt/plone515/zeocluster/bin/*'

When I try to run "plonectl start", it seems that only zeoserver is on. This is the output:

sudo -u plone_daemon /opt/plone515/zeocluster/bin/plonectl start
zeoserver:
daemon process started, pid=4268
client1: Error: u'products' is not a known key name

Need your help.
Hugo

1 Like

There might be a version conflict between your buildout configuration (containing configuration settings for Zope 2) and Zope 4.

I would try to run Plone in the foreground (--> bin/client1 fg) in the hope to get more hints towards the problem.

It does not work with the same error:
Error: u'products' is not a known key name

search for line with products in your buildout configs and delete it :wink:

This is my buildout.cfg (modified from 5.1.5) . There is no line with products.

[buildout]
extensions =
    buildout.sanitycheck
extends =
    base.cfg
    http://dist.plone.org/release/5.2.0/versions.cfg

find-links +=
    http://dist.plone.org/release/5.2.0

effective-user = plone_daemon
buildout-user = plone_buildout
need-sudo = yes

eggs =
    Plone
    Pillow
zcml =
#    plone.reload

develop =
#    src/my.package
var-dir=${buildout:directory}/var
backups-dir=${buildout:var-dir}
user=admin:plonetest

deprecation-warnings = off
verbose-security = off

parts =
    zeoserver
    client1
    client2
    backup
    zopepy
    unifiedinstaller
    precompiler
    setpermissions

[zeoserver]
<= zeoserver_base
recipe = plone.recipe.zeoserver
zeo-address = 127.0.0.1:8100

[client1]
<= client_base
recipe = plone.recipe.zope2instance
zeo-address = ${zeoserver:zeo-address}
http-address = 8080

[client2]
<= client_base
recipe = plone.recipe.zope2instance
zeo-address = ${zeoserver:zeo-address}
http-address = 8081

[versions]
setuptools =
zc.buildout =
Pillow = 5.4.1

buildout.sanitycheck = 1.0.2
collective.recipe.backup = 4.0.1
plone.recipe.unifiedinstaller = 4.3.2

zeoserver.log:

2019-09-04T11:47:35 daemonizing the process
2019-09-04T11:47:35 set current directory: u'/opt/plone515/zeocluster/parts/zeoserver'
2019-09-04T11:47:35 daemon manager started
2019-09-04T11:47:35 spawned process pid=12425
2019-09-04T11:47:36 (12425) created PID file '/opt/plone515/zeocluster/var/zeoserver/zeoserver.pid'
2019-09-04T11:47:36 (12425) opening storage u'1' using FileStorage
2019-09-04T11:47:36 StorageServer created RW with storages: 1:RW:/opt/plone515/zeocluster/var/filestorage/Data.fs
2019-09-04T11:47:36 listening on (u'127.0.0.1', 8100)

Your version of plone.recipe.unifiedinstaller is not compatible with Plone 5.2.
Use plone.recipe.unifiedinstaller = 5.2b1 and update any other settings in your buildout to whatever is the current default in the unified installer for 5.2.

1 Like

Now I copy a buildout.cfg from a new-installed plone 5.2 and run buildout again. This is the output:

sudo -u plone_buildout bin/buildout
Getting distribution for 'zc.buildout==2.13.2'.
no previously-included directories found matching 'doc'
no previously-included directories found matching 'old-tutorial'
Got zc.buildout 2.13.2.
Getting distribution for 'collective.recipe.backup==4.1.0'.
Got collective.recipe.backup 4.1.0.
Getting distribution for 'plone.recipe.unifiedinstaller==5.2b1'.
Got plone.recipe.unifiedinstaller 5.2b1.
Uninstalling setpermissions.
Uninstalling precompiler.
Uninstalling unifiedinstaller.
Uninstalling zopepy.
Uninstalling backup.
Uninstalling client2.
Uninstalling client1.
Uninstalling zeoserver.
Installing zeoserver.
Created directory /opt/plone515withnewbuildout/zeocluster/parts/zeoserver
Created directory /opt/plone515withnewbuildout/zeocluster/parts/zeoserver/etc
Created directory /opt/plone515withnewbuildout/zeocluster/parts/zeoserver/var
Created directory /opt/plone515withnewbuildout/zeocluster/parts/zeoserver/log
Created directory /opt/plone515withnewbuildout/zeocluster/parts/zeoserver/bin
Wrote file /opt/plone515withnewbuildout/zeocluster/parts/zeoserver/etc/zeo.conf
Wrote file /opt/plone515withnewbuildout/zeocluster/parts/zeoserver/bin/zeoctl
Changed mode for /opt/plone515withnewbuildout/zeocluster/parts/zeoserver/bin/zeoctl to 755
Wrote file /opt/plone515withnewbuildout/zeocluster/parts/zeoserver/bin/runzeo
Changed mode for /opt/plone515withnewbuildout/zeocluster/parts/zeoserver/bin/runzeo to 755
Generated script '/opt/plone515withnewbuildout/zeocluster/bin/zeoserver'.
Generated script '/opt/plone515withnewbuildout/zeocluster/bin/zeopack'.
Generated script '/opt/plone515withnewbuildout/zeocluster/bin/repozo'.
Installing client1.
Getting distribution for 'Pillow==6.1.0'.
Got Pillow 6.1.0.
Generated script '/opt/plone515withnewbuildout/zeocluster/bin/client1'.
Generated interpreter '/opt/plone515withnewbuildout/zeocluster/parts/client1/bin/interpreter'.
Installing client2.
Generated script '/opt/plone515withnewbuildout/zeocluster/bin/client2'.
Generated interpreter '/opt/plone515withnewbuildout/zeocluster/parts/client2/bin/interpreter'.
Installing backup.
Generated script '/opt/plone515withnewbuildout/zeocluster/bin/backup'.
Generated script '/opt/plone515withnewbuildout/zeocluster/bin/snapshotbackup'.
Generated script '/opt/plone515withnewbuildout/zeocluster/bin/restore'.
Generated script '/opt/plone515withnewbuildout/zeocluster/bin/snapshotrestore'.
Installing zopepy.
Generated interpreter '/opt/plone515withnewbuildout/zeocluster/bin/zopepy'.
Installing unifiedinstaller.
Generated script '/opt/plone515withnewbuildout/zeocluster/bin/plonectl'.
Installing precompiler.
Compiling Python files.
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/zodbpickle-1.0.4-py2.7-linux-x86_64.egg/zodbpickle/pickle_3.py", line 178
    def __init__(self, file, protocol=None, *, fix_imports=True):
                                             ^
SyntaxError: invalid syntax

  File "/opt/plone515withnewbuildout/buildout-cache/eggs/zodbpickle-1.0.4-py2.7-linux-x86_64.egg/zodbpickle/pickletools_3.py", line 2049
    print("%5d:" % pos, end=' ', file=out)
                           ^
SyntaxError: invalid syntax

  File "/opt/plone515withnewbuildout/buildout-cache/eggs/zodbpickle-1.0.4-py2.7-linux-x86_64.egg/zodbpickle/tests/pickletester_3.py", line 142
    class use_metaclass(object, metaclass=metaclass):
                                         ^
SyntaxError: invalid syntax

Compiling locale files.
Installing setpermissions.
setpermissions: Running '# Dummy references to force this to execute after referenced parts
echo /opt/plone515withnewbuildout/zeocluster/var/backups yes > /dev/null
chmod 600 .installed.cfg
# Make sure anything we've created in var is r/w by our group
find /opt/plone515withnewbuildout/zeocluster/var -type d -exec chmod 770 {} \; 2> /dev/null
find /opt/plone515withnewbuildout/zeocluster/var -type f -exec chmod 660 {} \; 2> /dev/null
find /opt/plone515withnewbuildout/zeocluster/var -type d -exec chmod 770 {} \; 2> /dev/null
find /opt/plone515withnewbuildout/zeocluster/var -type f -exec chmod 660 {} \; 2> /dev/null
chmod 754 /opt/plone515withnewbuildout/zeocluster/bin/*'

Then I try to start it. This is the output:

sudo -u plone_daemon bin/plonectl start
zeoserver: . Unlinking stale socket /opt/plone515withnewbuildout/zeocluster/var/zeoserver/zeo.zdsock; sleep 1
.
daemon process started, pid=15124
client1: Error: u'products' is not a known key name

hallo hugo,
the last line shows that error.
you need to comment all lines with 'products' out, like
# extra-paths = ${buildout:directory}/products
after a new bin/buildout it should start again

1 Like

The reference to 'products' is possibly in your old (?) version of base.cfg

1 Like

Thanks. After commented out all lines with 'products' in base.cfg and run buildout, my plone 5.2 starts.
Then I run into another problem when I try to upgrade my old plone site in the page of @@plone-upgrade. This is output:

Internal Server Error
The server encountered an unexpected internal server error
(generated by waitress)

Something in the file of var/client1/event.log:

2019-09-04 22:11:15,043 WARNING [Init:89][MainThread] Class Products.CMFFormController.ControllerPythonScript.ControllerPythonScript has a security declaration for nonexistent method 'ZPythonScriptHTML_changePrefs'
2019-09-04 22:11:15,076 WARNING [Init:89][MainThread] Class Products.CMFFormController.ControllerValidator.ControllerValidator has a security declaration for nonexistent method 'ZPythonScriptHTML_changePrefs'
2019-09-04 22:11:17,981 INFO    [ZEO.ClientStorage:209][MainThread] zeostorage ClientStorage (pid=15775) created RW/normal for storage: '1'
2019-09-04 22:11:17,985 INFO    [ZEO.cache:208][MainThread] created temporary cache file '<fdopen>'
2019-09-04 22:11:18,033 INFO    [ZEO.asyncio.base:51][zeostorage zeo client networking thread] Connected Protocol((u'127.0.0.1', 8100), '1', False)
2019-09-04 22:11:18,043 INFO    [ZEO.ClientStorage:366][zeostorage zeo client networking thread] zeostorage Connected to storage: ('localhost', 8100)
2019-09-04 22:11:44,260 WARNING [plone.behavior:172][MainThread] Specifying 'for' in behavior 'Tiles' if no 'factory' is given has no effect and is superfluous.
2019-09-04 22:11:44,260 WARNING [plone.behavior:172][MainThread] Specifying 'for' in behavior 'Tiles' if no 'factory' is given has no effect and is superfluous.
2019-09-04 22:11:52,381 INFO    [Zope:45][MainThread] Ready to handle requests
2019-09-04 22:12:15,780 ERROR   [ZODB.Connection:809][waitress] Couldn't load state for zope.component.persistentregistry.PersistentAdapterRegistry 0x0dfe04
Traceback (most recent call last):
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/ZODB-5.5.1-py2.7.egg/ZODB/Connection.py", line 795, in setstate
    self._reader.setGhostState(obj, p)
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/ZODB-5.5.1-py2.7.egg/ZODB/serialize.py", line 634, in setGhostState
    obj.__setstate__(state)
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/zope.component-4.5-py2.7.egg/zope/component/persistentregistry.py", line 39, in __setstate__
    self._createLookup()
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/zope.interface-4.6.0-py2.7-linux-x86_64.egg/zope/interface/adapter.py", line 97, in _createLookup
    self._v_lookup = self.LookupClass(self)
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/zope.interface-4.6.0-py2.7-linux-x86_64.egg/zope/interface/adapter.py", line 458, in __init__
    self.init_extendors()
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/zope.interface-4.6.0-py2.7-linux-x86_64.egg/zope/interface/adapter.py", line 495, in init_extendors
    self.add_extendor(p)
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/zope.interface-4.6.0-py2.7-linux-x86_64.egg/zope/interface/adapter.py", line 499, in add_extendor
    for i in provided.__iro__:
AttributeError: type object 'IATCTTool' has no attribute '__iro__'
2019-09-04 22:12:15,863 ERROR   [ZODB.Connection:809][waitress] Couldn't load state for zope.component.persistentregistry.PersistentAdapterRegistry 0x0dfe04
Traceback (most recent call last):
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/ZODB-5.5.1-py2.7.egg/ZODB/Connection.py", line 795, in setstate
    self._reader.setGhostState(obj, p)
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/ZODB-5.5.1-py2.7.egg/ZODB/serialize.py", line 634, in setGhostState
    obj.__setstate__(state)
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/zope.component-4.5-py2.7.egg/zope/component/persistentregistry.py", line 39, in __setstate__
    self._createLookup()
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/zope.interface-4.6.0-py2.7-linux-x86_64.egg/zope/interface/adapter.py", line 97, in _createLookup
    self._v_lookup = self.LookupClass(self)
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/zope.interface-4.6.0-py2.7-linux-x86_64.egg/zope/interface/adapter.py", line 458, in __init__
    self.init_extendors()
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/zope.interface-4.6.0-py2.7-linux-x86_64.egg/zope/interface/adapter.py", line 495, in init_extendors
    self.add_extendor(p)
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/zope.interface-4.6.0-py2.7-linux-x86_64.egg/zope/interface/adapter.py", line 499, in add_extendor
    for i in provided.__iro__:
AttributeError: type object 'IATCTTool' has no attribute '__iro__'
2019-09-04 22:12:15,864 ERROR   [root:28][waitress] PageTemplateFile: Error in template /opt/plone515withnewbuildout/buildout-cache/eggs/Products.CMFPlone-5.2.0-py2.7.egg/Products/CMFPlone/browser/templates/main_template.pt: Compilation failed
exceptions.AttributeError: type object 'IATCTTool' has no attribute '__iro__'
2019-09-04 22:12:15,873 ERROR   [ZODB.Connection:809][waitress] Couldn't load state for zope.component.persistentregistry.PersistentAdapterRegistry 0x0dfe04
Traceback (most recent call last):
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/ZODB-5.5.1-py2.7.egg/ZODB/Connection.py", line 795, in setstate
    self._reader.setGhostState(obj, p)
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/ZODB-5.5.1-py2.7.egg/ZODB/serialize.py", line 634, in setGhostState
    obj.__setstate__(state)
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/zope.component-4.5-py2.7.egg/zope/component/persistentregistry.py", line 39, in __setstate__
    self._createLookup()
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/zope.interface-4.6.0-py2.7-linux-x86_64.egg/zope/interface/adapter.py", line 97, in _createLookup
    self._v_lookup = self.LookupClass(self)
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/zope.interface-4.6.0-py2.7-linux-x86_64.egg/zope/interface/adapter.py", line 458, in __init__
    self.init_extendors()
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/zope.interface-4.6.0-py2.7-linux-x86_64.egg/zope/interface/adapter.py", line 495, in init_extendors
    self.add_extendor(p)
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/zope.interface-4.6.0-py2.7-linux-x86_64.egg/zope/interface/adapter.py", line 499, in add_extendor
    for i in provided.__iro__:
AttributeError: type object 'IATCTTool' has no attribute '__iro__'
2019-09-04 22:12:15,882 ERROR   [ZODB.Connection:809][waitress] Couldn't load state for zope.component.persistentregistry.PersistentAdapterRegistry 0x0dfe04
Traceback (most recent call last):
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/ZODB-5.5.1-py2.7.egg/ZODB/Connection.py", line 795, in setstate
    self._reader.setGhostState(obj, p)
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/ZODB-5.5.1-py2.7.egg/ZODB/serialize.py", line 634, in setGhostState
    obj.__setstate__(state)
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/zope.component-4.5-py2.7.egg/zope/component/persistentregistry.py", line 39, in __setstate__
    self._createLookup()
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/zope.interface-4.6.0-py2.7-linux-x86_64.egg/zope/interface/adapter.py", line 97, in _createLookup
    self._v_lookup = self.LookupClass(self)
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/zope.interface-4.6.0-py2.7-linux-x86_64.egg/zope/interface/adapter.py", line 458, in __init__
    self.init_extendors()
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/zope.interface-4.6.0-py2.7-linux-x86_64.egg/zope/interface/adapter.py", line 495, in init_extendors
    self.add_extendor(p)
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/zope.interface-4.6.0-py2.7-linux-x86_64.egg/zope/interface/adapter.py", line 499, in add_extendor
    for i in provided.__iro__:
AttributeError: type object 'IATCTTool' has no attribute '__iro__'
2019-09-04 22:12:15,883 ERROR   [waitress:363][waitress] Exception while serving /keti/@@plone-upgrade
Traceback (most recent call last):
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/waitress-1.3.0-py2.7.egg/waitress/channel.py", line 356, in service
    task.service()
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/waitress-1.3.0-py2.7.egg/waitress/task.py", line 176, in service
    self.execute()
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/waitress-1.3.0-py2.7.egg/waitress/task.py", line 447, in execute
    app_iter = self.channel.server.application(env, start_response)
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/Paste-3.0.8-py2.7.egg/paste/translogger.py", line 69, in __call__
    return self.application(environ, replacement_start_response)
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/Zope-4.1.1-py2.7.egg/ZPublisher/httpexceptions.py", line 30, in __call__
    return self.application(environ, start_response)
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/Zope-4.1.1-py2.7.egg/ZPublisher/WSGIPublisher.py", line 337, in publish_module
    response = _publish(request, new_mod_info)
  File "/usr/lib/python2.7/contextlib.py", line 35, in __exit__
    self.gen.throw(type, value, traceback)
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/Zope-4.1.1-py2.7.egg/ZPublisher/WSGIPublisher.py", line 207, in transaction_pubevents
    notify(pubevents.PubBeforeAbort(request, exc_info, retry))
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/zope.event-4.4-py2.7.egg/zope/event/__init__.py", line 32, in notify
    subscriber(event)
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/zope.component-4.5-py2.7.egg/zope/component/event.py", line 27, in dispatch
    component_subscribers(event, None)
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/zope.component-4.5-py2.7.egg/zope/component/_api.py", line 124, in subscribers
    return sitemanager.subscribers(objects, interface)
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/zope.interface-4.6.0-py2.7-linux-x86_64.egg/zope/interface/registry.py", line 442, in subscribers
    return self.adapters.subscribers(objects, provided)
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/zope.interface-4.6.0-py2.7-linux-x86_64.egg/zope/interface/adapter.py", line 607, in subscribers
    subscription(*objects)
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/plone.transformchain-2.0.1-py2.7.egg/plone/transformchain/zpublisher.py", line 121, in applyTransformOnFailure
    applyTransformOnSuccess(event)
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/plone.transformchain-2.0.1-py2.7.egg/plone/transformchain/zpublisher.py", line 86, in applyTransformOnSuccess
    transformed = applyTransform(event.request)
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/plone.transformchain-2.0.1-py2.7.egg/plone/transformchain/zpublisher.py", line 61, in applyTransform
    transformer = queryUtility(ITransformer)
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/zope.component-4.5-py2.7.egg/zope/component/_api.py", line 157, in queryUtility
    return getSiteManager(context).queryUtility(interface, name, default)
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/zope.interface-4.6.0-py2.7-linux-x86_64.egg/zope/interface/registry.py", line 281, in queryUtility
    return self.utilities.lookup((), provided, name, default)
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/ZODB-5.5.1-py2.7.egg/ZODB/Connection.py", line 795, in setstate
    self._reader.setGhostState(obj, p)
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/ZODB-5.5.1-py2.7.egg/ZODB/serialize.py", line 634, in setGhostState
    obj.__setstate__(state)
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/zope.component-4.5-py2.7.egg/zope/component/persistentregistry.py", line 39, in __setstate__
    self._createLookup()
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/zope.interface-4.6.0-py2.7-linux-x86_64.egg/zope/interface/adapter.py", line 97, in _createLookup
    self._v_lookup = self.LookupClass(self)
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/zope.interface-4.6.0-py2.7-linux-x86_64.egg/zope/interface/adapter.py", line 458, in __init__
    self.init_extendors()
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/zope.interface-4.6.0-py2.7-linux-x86_64.egg/zope/interface/adapter.py", line 495, in init_extendors
    self.add_extendor(p)
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/zope.interface-4.6.0-py2.7-linux-x86_64.egg/zope/interface/adapter.py", line 499, in add_extendor
    for i in provided.__iro__:
AttributeError: type object 'IATCTTool' has no attribute '__iro__'
2019-09-04 22:12:15,883 ERROR   [waitress:363][waitress] Exception while serving /keti/@@plone-upgrade
Traceback (most recent call last):
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/waitress-1.3.0-py2.7.egg/waitress/channel.py", line 356, in service
    task.service()
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/waitress-1.3.0-py2.7.egg/waitress/task.py", line 176, in service
    self.execute()
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/waitress-1.3.0-py2.7.egg/waitress/task.py", line 447, in execute
    app_iter = self.channel.server.application(env, start_response)
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/Paste-3.0.8-py2.7.egg/paste/translogger.py", line 69, in __call__
    return self.application(environ, replacement_start_response)
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/Zope-4.1.1-py2.7.egg/ZPublisher/httpexceptions.py", line 30, in __call__
    return self.application(environ, start_response)
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/Zope-4.1.1-py2.7.egg/ZPublisher/WSGIPublisher.py", line 337, in publish_module
    response = _publish(request, new_mod_info)
  File "/usr/lib/python2.7/contextlib.py", line 35, in __exit__
    self.gen.throw(type, value, traceback)
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/Zope-4.1.1-py2.7.egg/ZPublisher/WSGIPublisher.py", line 207, in transaction_pubevents
    notify(pubevents.PubBeforeAbort(request, exc_info, retry))
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/zope.event-4.4-py2.7.egg/zope/event/__init__.py", line 32, in notify
    subscriber(event)
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/zope.component-4.5-py2.7.egg/zope/component/event.py", line 27, in dispatch
    component_subscribers(event, None)
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/zope.component-4.5-py2.7.egg/zope/component/_api.py", line 124, in subscribers
    return sitemanager.subscribers(objects, interface)
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/zope.interface-4.6.0-py2.7-linux-x86_64.egg/zope/interface/registry.py", line 442, in subscribers
    return self.adapters.subscribers(objects, provided)
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/zope.interface-4.6.0-py2.7-linux-x86_64.egg/zope/interface/adapter.py", line 607, in subscribers
    subscription(*objects)
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/plone.transformchain-2.0.1-py2.7.egg/plone/transformchain/zpublisher.py", line 121, in applyTransformOnFailure
    applyTransformOnSuccess(event)
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/plone.transformchain-2.0.1-py2.7.egg/plone/transformchain/zpublisher.py", line 86, in applyTransformOnSuccess
    transformed = applyTransform(event.request)
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/plone.transformchain-2.0.1-py2.7.egg/plone/transformchain/zpublisher.py", line 61, in applyTransform
    transformer = queryUtility(ITransformer)
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/zope.component-4.5-py2.7.egg/zope/component/_api.py", line 157, in queryUtility
    return getSiteManager(context).queryUtility(interface, name, default)
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/zope.interface-4.6.0-py2.7-linux-x86_64.egg/zope/interface/registry.py", line 281, in queryUtility
    return self.utilities.lookup((), provided, name, default)
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/ZODB-5.5.1-py2.7.egg/ZODB/Connection.py", line 795, in setstate
    self._reader.setGhostState(obj, p)
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/ZODB-5.5.1-py2.7.egg/ZODB/serialize.py", line 634, in setGhostState
    obj.__setstate__(state)
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/zope.component-4.5-py2.7.egg/zope/component/persistentregistry.py", line 39, in __setstate__
    self._createLookup()
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/zope.interface-4.6.0-py2.7-linux-x86_64.egg/zope/interface/adapter.py", line 97, in _createLookup
    self._v_lookup = self.LookupClass(self)
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/zope.interface-4.6.0-py2.7-linux-x86_64.egg/zope/interface/adapter.py", line 458, in __init__
    self.init_extendors()
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/zope.interface-4.6.0-py2.7-linux-x86_64.egg/zope/interface/adapter.py", line 495, in init_extendors
    self.add_extendor(p)
  File "/opt/plone515withnewbuildout/buildout-cache/eggs/zope.interface-4.6.0-py2.7-linux-x86_64.egg/zope/interface/adapter.py", line 499, in add_extendor
    for i in provided.__iro__:
AttributeError: type object 'IATCTTool' has no attribute '__iro__'

Has just been discussed here Upgrade to 5.2 failing with 'IATCTTool' has no attribute '__iro__'

By that I meant not only the file buildout.cfg but the whole buildout.

Failed when I try to upgrade from 5.1.5 to 5.2 in the page of @@plone-upgrade.

As mentioned by @mtrebron , @pbauer and @fulv (here) , I uninstalled Products.Archetypes in plone 5.1.5, copied Data.fs and blobstorage to a new installed plone 5.2, ran buildout. This is the output:

sudo -u plone_buildout bin/buildout
Uninstalling precompiler.
Uninstalling zopepy.
Uninstalling client2.
Uninstalling client1.
Updating zeoserver.
Installing client1.
Getting distribution for 'archetypes.multilingual==3.0.6'.
Got archetypes.multilingual 3.0.6.
Getting distribution for 'Products.ATContentTypes==3.0.2'.
Got Products.ATContentTypes 3.0.2.
Getting distribution for 'plone.app.referenceablebehavior==0.7.7'.
warning: no previously-included files matching '*.pyc' found anywhere in distrib                                                                                                 ution
Got plone.app.referenceablebehavior 0.7.7.
Getting distribution for 'archetypes.schemaextender==3.0.0'.
Got archetypes.schemaextender 3.0.0.
Getting distribution for 'Products.contentmigration==2.2.0'.
Got Products.contentmigration 2.2.0.
Getting distribution for 'plone.app.imaging==2.1.0'.
Got plone.app.imaging 2.1.0.
Getting distribution for 'plone.app.folder==1.3.0'.
Got plone.app.folder 1.3.0.
Getting distribution for 'plone.app.collection==1.2.7'.
Got plone.app.collection 1.2.7.
Getting distribution for 'plone.app.blob==1.8.0'.
Got plone.app.blob 1.8.0.
Getting distribution for 'Products.validation==2.1.1'.
Got Products.validation 2.1.1.
Getting distribution for 'Products.Archetypes==1.16.1'.
Got Products.Archetypes 1.16.1.
Getting distribution for 'five.globalrequest==99.1'.
Got five.globalrequest 99.1.
Getting distribution for 'zope.datetime==4.2.0'.
Got zope.datetime 4.2.0.
Getting distribution for 'Products.ZSQLMethods==3.0.7'.
Got Products.ZSQLMethods 3.0.7.
Generated script '/opt/plone52/zeocluster/bin/client1'.
Generated interpreter '/opt/plone52/zeocluster/parts/client1/bin/interpreter'.
Installing client2.
Generated script '/opt/plone52/zeocluster/bin/client2'.
Generated interpreter '/opt/plone52/zeocluster/parts/client2/bin/interpreter'.
Updating backup.
Installing zopepy.
Generated interpreter '/opt/plone52/zeocluster/bin/zopepy'.
Updating unifiedinstaller.
Installing precompiler.
Compiling Python files.
  File "/opt/plone52/buildout-cache/eggs/zodbpickle-1.0.4-py2.7-linux-x86_64.egg                                                                                                 /zodbpickle/pickle_3.py", line 178
    def __init__(self, file, protocol=None, *, fix_imports=True):
                                             ^
SyntaxError: invalid syntax

  File "/opt/plone52/buildout-cache/eggs/zodbpickle-1.0.4-py2.7-linux-x86_64.egg                                                                                                 /zodbpickle/pickletools_3.py", line 2049
    print("%5d:" % pos, end=' ', file=out)
                           ^
SyntaxError: invalid syntax

  File "/opt/plone52/buildout-cache/eggs/zodbpickle-1.0.4-py2.7-linux-x86_64.egg                                                                                                 /zodbpickle/tests/pickletester_3.py", line 142
    class use_metaclass(object, metaclass=metaclass):
                                         ^
SyntaxError: invalid syntax

Compiling locale files.
Updating setpermissions.
setpermissions: Running # Dummy references to force this to execute after refere                                                                                                 nced parts
echo /opt/plone52/zeocluster/var/backups yes > /dev/null
chmod 600 .installed.cfg
# Make sure anything we've created in var is r/w by our group
find /opt/plone52/zeocluster/var -type d -exec chmod 770 {} \; 2> /dev/null
find /opt/plone52/zeocluster/var -type f -exec chmod 660 {} \; 2> /dev/null
find /opt/plone52/zeocluster/var -type d -exec chmod 770 {} \; 2> /dev/null
find /opt/plone52/zeocluster/var -type f -exec chmod 660 {} \; 2> /dev/null
chmod 754 /opt/plone52/zeocluster/bin/*

Then the instance in plone 5.2 started. In the page of @@plone-upgrade, when I try to upgrade my onld site, I get this upgrade steps:

Upgrade steps
The following list shows which upgrade steps are going to be run. Upgrading sometimes performs a catalog/security update, which may take a long time on large sites. Be patient.
(5199 → 5200)
* Run to52alpha1 upgrade profile.
(5200 → 5201)
* Miscellaneous
(5201 → 5202)
* Run to52beta1 upgrade profile.
* Run to52rc1 upgrade profile.
(5202 → 5203)
* Miscellaneous
(5203 → 5204)
* Rebuild the plone.app.redirector information.
* Move from dotted behaviors to named behaviors.
(5204 → 5205)
* Miscellaneous
* Move registry fields interfaceName for ILanguageSchema
(5205 → 5206)
* Miscellaneous
(5206 → 5207)
* Miscellaneous

And get this upgrade report:

Dry run selected.
Starting the migration from version: 5115
Role / permission map imported.
Step collective.z3cform.datetimewidget has an invalid import handler
Adapters registered.
The object None was not found, while trying to register an utility. The provided object definition was portal_metadata. The site used was: <PloneSite at /keti>
The object None was not found, while trying to register an utility. The provided object definition was portal_syndication. The site used was: <PloneSite at /keti>
The object None was not found, while trying to register an utility. The provided object definition was portal_undo. The site used was: <PloneSite at /keti>
Utilities registered.
Skins tool imported.
Removed record plone.resources/jquery-highlightsearchterms.deps.
Removed record plone.resources/jquery-highlightsearchterms.url.
Removed record plone.resources/jquery-highlightsearchterms.js.
Removed record plone.resources/jquery-highlightsearchterms.init.
Removed record plone.resources/jquery-highlightsearchterms.export.
Removed record plone.resources/jquery-highlightsearchterms.conf.
Removed record plone.resources/jquery-highlightsearchterms.css.
Step languagetool has an invalid import handler
Rebuilding member data information. This step can take a while if your site has many users.
Ran upgrade step: Run to52alpha1 upgrade profile.
Ran upgrade step: Miscellaneous
Role / permission map imported.
Step collective.z3cform.datetimewidget has an invalid import handler
Not creating required tool portal_css, because class Products.ResourceRegistries.tools.CSSRegistry.CSSRegistryTool is not found.
Not creating required tool portal_javascripts, because class Products.ResourceRegistries.tools.JSRegistry.JSRegistryTool is not found.
Toolset imported.
Actions tool imported.
Control panel imported.
RepositoryTool settings imported.
Removed record plone.resources/expect.deps.
Removed record plone.resources/expect.url.
Removed record plone.resources/expect.js.
Removed record plone.resources/expect.init.
Removed record plone.resources/expect.export.
Removed record plone.resources/expect.conf.
Removed record plone.resources/expect.css.
Removed record plone.resources/js-shortcuts.deps.
Removed record plone.resources/js-shortcuts.url.
Removed record plone.resources/js-shortcuts.js.
Removed record plone.resources/js-shortcuts.init.
Removed record plone.resources/js-shortcuts.export.
Removed record plone.resources/js-shortcuts.conf.
Removed record plone.resources/js-shortcuts.css.
Removed record plone.resources/marked.deps.
Removed record plone.resources/marked.url.
Removed record plone.resources/marked.js.
Removed record plone.resources/marked.init.
Removed record plone.resources/marked.export.
Removed record plone.resources/marked.conf.
Removed record plone.resources/marked.css.
Removed record plone.resources/rjs.deps.
Removed record plone.resources/rjs.url.
Removed record plone.resources/rjs.js.
Removed record plone.resources/rjs.init.
Removed record plone.resources/rjs.export.
Removed record plone.resources/rjs.conf.
Removed record plone.resources/rjs.css.
Removed record plone.resources/react.deps.
Removed record plone.resources/react.url.
Removed record plone.resources/react.js.
Removed record plone.resources/react.init.
Removed record plone.resources/react.export.
Removed record plone.resources/react.conf.
Removed record plone.resources/react.css.
Removed record plone.resources/JSXTransformer.deps.
Removed record plone.resources/JSXTransformer.url.
Removed record plone.resources/JSXTransformer.js.
Removed record plone.resources/JSXTransformer.init.
Removed record plone.resources/JSXTransformer.export.
Removed record plone.resources/JSXTransformer.conf.
Removed record plone.resources/JSXTransformer.css.
Removed record plone.resources/sinon.deps.
Removed record plone.resources/sinon.url.
Removed record plone.resources/sinon.js.
Removed record plone.resources/sinon.init.
Removed record plone.resources/sinon.export.
Removed record plone.resources/sinon.conf.
Removed record plone.resources/sinon.css.
Step languagetool has an invalid import handler
Added BooleanIndex for field exclude_from_nav.
Indexing new indexes exclude_from_nav.
Cleaned up the toolset registry.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Broken relation removed.
Ran upgrade step: Run to52beta1 upgrade profile.
Role / permission map imported.
Step collective.z3cform.datetimewidget has an invalid import handler
Step languagetool has an invalid import handler
Ran upgrade step: Run to52rc1 upgrade profile.
Ran upgrade step: Miscellaneous
Starting rebuild of redirections to add date and manual information.
Done rebuilding redirections.
Ran upgrade step: Rebuild the plone.app.redirector information.
Moved "plone.app.content.interfaces.INameFromTitle" to "plone.namefromtitle"
Moved "plone.app.contenttypes.behaviors.collection.ICollection" to "plone.collection"
Moved "plone.app.dexterity.behaviors.discussion.IAllowDiscussion" to "plone.allowdiscussion"
Moved "plone.app.dexterity.behaviors.id.IShortName" to "plone.shortname"
Moved "plone.app.dexterity.behaviors.exclfromnav.IExcludeFromNavigation" to "plone.excludefromnavigation"
Moved "plone.app.dexterity.behaviors.metadata.IDublinCore" to "plone.dublincore"
Moved "plone.app.contenttypes.behaviors.richtext.IRichTextBehavior" to "plone.richtext"
Moved "plone.app.relationfield.behavior.IRelatedItems" to "plone.relateditems"
Moved "plone.app.lockingbehavior.behaviors.ILocking" to "plone.locking"
Converted dotted behaviors of Collection to named behaviors.
Moved "plone.app.content.interfaces.INameFromTitle" to "plone.namefromtitle"
Moved "plone.app.dexterity.behaviors.discussion.IAllowDiscussion" to "plone.allowdiscussion"
Moved "plone.app.dexterity.behaviors.exclfromnav.IExcludeFromNavigation" to "plone.excludefromnavigation"
Moved "plone.app.dexterity.behaviors.id.IShortName" to "plone.shortname"
Moved "plone.app.dexterity.behaviors.metadata.IDublinCore" to "plone.dublincore"
Moved "plone.app.contenttypes.behaviors.richtext.IRichTextBehavior" to "plone.richtext"
Moved "plone.app.relationfield.behavior.IRelatedItems" to "plone.relateditems"
Moved "plone.app.versioningbehavior.behaviors.IVersionable" to "plone.versioning"
Moved "plone.app.contenttypes.behaviors.tableofcontents.ITableOfContents" to "plone.tableofcontents"
Moved "plone.app.lockingbehavior.behaviors.ILocking" to "plone.locking"
Converted dotted behaviors of Page to named behaviors.
Moved "plone.app.dexterity.behaviors.metadata.IDublinCore" to "plone.dublincore"
Moved "plone.app.content.interfaces.INameFromTitle" to "plone.namefromtitle"
Moved "plone.app.dexterity.behaviors.discussion.IAllowDiscussion" to "plone.allowdiscussion"
Moved "plone.app.dexterity.behaviors.exclfromnav.IExcludeFromNavigation" to "plone.excludefromnavigation"
Moved "plone.app.dexterity.behaviors.id.IShortName" to "plone.shortname"
Moved "Products.CMFPlone.interfaces.constrains.ISelectableConstrainTypes" to "plone.constraintypes"
Moved "plone.app.relationfield.behavior.IRelatedItems" to "plone.relateditems"
Moved "plone.app.dexterity.behaviors.nextprevious.INextPreviousToggle" to "plone.nextprevioustoggle"
Converted dotted behaviors of Folder to named behaviors.
Moved "plone.app.dexterity.behaviors.discussion.IAllowDiscussion" to "plone.allowdiscussion"
Moved "plone.app.dexterity.behaviors.id.IShortName" to "plone.shortname"
Moved "plone.app.dexterity.behaviors.metadata.IDublinCore" to "plone.dublincore"
Moved "plone.app.content.interfaces.INameFromTitle" to "plone.namefromtitle"
Moved "plone.app.dexterity.behaviors.exclfromnav.IExcludeFromNavigation" to "plone.excludefromnavigation"
Moved "plone.app.versioningbehavior.behaviors.IVersionable" to "plone.versioning"
Converted dotted behaviors of Link to named behaviors.
Moved "plone.app.dexterity.behaviors.metadata.ICategorization" to "plone.categorization"
Moved "plone.app.dexterity.behaviors.metadata.IPublication" to "plone.publication"
Moved "plone.app.dexterity.behaviors.metadata.IOwnership" to "plone.ownership"
Moved "plone.app.dexterity.behaviors.filename.INameFromFileName" to "plone.namefromfilename"
Moved "plone.app.dexterity.behaviors.discussion.IAllowDiscussion" to "plone.allowdiscussion"
Moved "plone.app.dexterity.behaviors.id.IShortName" to "plone.shortname"
Moved "plone.app.dexterity.behaviors.exclfromnav.IExcludeFromNavigation" to "plone.excludefromnavigation"
Moved "plone.app.relationfield.behavior.IRelatedItems" to "plone.relateditems"
Upgrade aborted. Error:
Traceback (most recent call last):
  File "/opt/plone/buildout-cache/eggs/Products.CMFPlone-5.2.0-py2.7.egg/Products/CMFPlone/MigrationTool.py", line 291, in upgrade
    step['step'].doStep(setup)
  File "/opt/plone/buildout-cache/eggs/Products.GenericSetup-2.0-py2.7.egg/Products/GenericSetup/upgrade.py", line 168, in doStep
    self.handler(tool)
  File "/opt/plone/buildout-cache/eggs/plone.app.upgrade-2.0.27-py2.7.egg/plone/app/upgrade/v52/final.py", line 46, in move_dotted_to_named_behaviors
    behavior_registration = lookup_behavior_registration(behavior)
  File "/opt/plone/buildout-cache/eggs/plone.behavior-1.3.0-py2.7.egg/plone/behavior/registration.py", line 103, in lookup_behavior_registration
    raise BehaviorRegistrationNotFound(name)
BehaviorRegistrationNotFound: collective.dexteritytextindexer.behavior.IDexterityTextIndexer
End of upgrade path, main migration has finished.
The upgrade path did NOT reach current version.
Migration has failed
Dry run selected, transaction aborted

@hugozu read at the error-message. You are missing the addon collective.dexteritytextindexer that your old instance had.

Thanks:smile:
I add collective.dexteritytextindexer in buildout.cfg and run bin/buildout, then all go well.

1 Like

Plone Foundation Code of Conduct